export function getCurrentPosition(bounds) {
    if (bounds.viewportBottom - bounds.viewportTop === 0) {
        return 3;
    }
    if (bounds.viewportTop <= bounds.waypointTop &&
        bounds.waypointTop <= bounds.viewportBottom) {
        return 1;
    }
    if (bounds.viewportTop <= bounds.waypointBottom &&
        bounds.waypointBottom <= bounds.viewportBottom) {
        return 1;
    }
    if (bounds.waypointTop <= bounds.viewportTop &&
        bounds.viewportBottom <= bounds.waypointBottom) {
        return 1;
    }
    if (bounds.viewportBottom < bounds.waypointTop) {
        return 2;
    }
    if (bounds.waypointTop < bounds.viewportTop) {
        return 0;
    }
    return 3;
}
